<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('instructions', function(Blueprint $table) {
			$table->foreign('project_id')->references('id')->on('projects')
						->onDelete('set null')
						->onUpdate('set null');
		});
		Schema::table('instructions', function(Blueprint $table) {
			$table->foreign('group_id')->references('id')->on('groups')
						->onDelete('set null')
						->onUpdate('set null');
		});
		Schema::table('instructions', function(Blueprint $table) {
			$table->foreign('subscription_id')->references('id')->on('subscriptions')
						->onDelete('set null')
						->onUpdate('set null');
		});
	}

	public function down()
	{
		Schema::table('instructions', function(Blueprint $table) {
			$table->dropForeign('instructions_project_id_foreign');
		});
		Schema::table('instructions', function(Blueprint $table) {
			$table->dropForeign('instructions_group_id_foreign');
		});
		Schema::table('instructions', function(Blueprint $table) {
			$table->dropForeign('instructions_subscription_id_foreign');
		});
	}
}